import { contextBridge, remote } from "electron";

import config from "./lib/config";
import { existsImage, saveImage, addWatermark } from "./lib/watermark";
import { queryStudentCount, replaceStudents, replacePackage } from "./lib/sync";
import { saveToPDF } from "./lib/pdfUtil";
import { errorLogger, errorLogger2 } from "./lib/log";
export const electronInWindow = {
  dialog: remote.dialog,
  config,
  addWatermark,
  saveImage,
  queryStudentCount,
  replaceStudents,
  replacePackage,
  existsImage,
  saveToPDF,
  errorLogger,
  errorLogger2,
};

contextBridge.exposeInMainWorld("electron", electronInWindow);
